Get pod metrics data.
Retrieve pod's metrics data for use in analysis applications.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
workloadId
The Universally Unique Identifier (UUID) of the workload.
podId
The requested pod id.
Query parameters
metricType
Specify which metric data to request. Advanced GPU metrics are only supported if the 'Advanced GPU Metrics' feature flag in the settings is enabled.
start
Start date of time range to fetch data in ISO 8601 timestamp format.
end
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamples
The number of samples to take in the specified time range.
Response
Executed successfully.
measurements
histogram
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error